---
Tournament:
  name: Northern Ohio Regional Tournament
  short name: Northern Ohio Regional
  location: Rocky River High School
  state: OH
  level: Regionals
  division: B
  year: 2025
  bids: 6
  start date: 2025-03-08
  end date: 2025-03-08
  awards date: 2025-03-08
Events:
- name: Air Trajectory
- name: Anatomy and Physiology
- name: Codebusters
- name: Crime Busters
- name: Disease Detectives
- name: Dynamic Planet
- name: Ecology
- name: Entomology
- name: Experimental Design
- name: Fossils
- name: Helicopter
- name: Meteorology
- name: Metric Mastery
- name: Microbe Mission
- name: Mission Possible
- name: Optics
- name: Potions and Poisons
- name: Reach for the Stars
- name: Road Scholar
- name: Scrambler
- name: Tower
- name: Wind Power
- name: Write It Do It
Teams:
- number: 19
  school: Westlake Middle School
  state: OH
  city: Westlake
- number: 20
  school: Westlake Middle School
  state: OH
  city: Westlake
- number: 6
  school: Claggett Middle School
  state: OH
  city: Medina
- number: 14
  school: Rocky River Middle School
  state: OH
  city: Rocky River
- number: 7
  school: Incarnate Word Academy
  state: OH
- number: 18
  school: Saint Francis Xavier School
  state: OH
  city: Medina
- number: 1
  school: Amherst Junior High School
  state: OH
  city: Amherst
- number: 15
  school: Rocky River Middle School
  state: OH
  city: Rocky River
Placings:
- team: 19
  event: Air Trajectory
  place: 3
- team: 19
  event: Anatomy and Physiology
  place: 2
- team: 19
  event: Codebusters
  place: 1
- team: 19
  event: Crime Busters
  place: 1
- team: 19
  event: Disease Detectives
  place: 1
- team: 19
  event: Dynamic Planet
  place: 1
- team: 19
  event: Ecology
  place: 1
- team: 19
  event: Entomology
  place: 1
- team: 19
  event: Experimental Design
  place: 1
- team: 19
  event: Fossils
  place: 1
- team: 19
  event: Helicopter
  place: 2
- team: 19
  event: Meteorology
  place: 3
- team: 19
  event: Metric Mastery
  place: 2
- team: 19
  event: Microbe Mission
  place: 1
- team: 19
  event: Mission Possible
  place: 4
- team: 19
  event: Optics
  place: 3
- team: 19
  event: Potions and Poisons
  place: 2
- team: 19
  event: Reach for the Stars
  place: 2
- team: 19
  event: Road Scholar
  place: 1
- team: 19
  event: Scrambler
  place: 4
- team: 19
  event: Tower
  place: 5
- team: 19
  event: Wind Power
  place: 1
- team: 19
  event: Write It Do It
  place: 5
- team: 20
  event: Air Trajectory
  place: 4
- team: 20
  event: Anatomy and Physiology
  place: 3
- team: 20
  event: Codebusters
  place: 2
- team: 20
  event: Crime Busters
  place: 2
- team: 20
  event: Disease Detectives
  place: 3
- team: 20
  event: Dynamic Planet
  place: 2
- team: 20
  event: Ecology
  place: 5
- team: 20
  event: Entomology
  place: 4
- team: 20
  event: Experimental Design
  place: 2
- team: 20
  event: Fossils
  place: 4
- team: 20
  event: Helicopter
  place: 3
- team: 20
  event: Meteorology
  place: 6
- team: 20
  event: Metric Mastery
  place: 4
- team: 20
  event: Microbe Mission
  place: 2
- team: 20
  event: Mission Possible
  place: 3
- team: 20
  event: Optics
  place: 2
- team: 20
  event: Potions and Poisons
  place: 1
- team: 20
  event: Reach for the Stars
  place: 3
- team: 20
  event: Road Scholar
  place: 3
- team: 20
  event: Scrambler
  place: 3
- team: 20
  event: Tower
  place: 6
- team: 20
  event: Wind Power
  place: 3
- team: 20
  event: Write It Do It
  place: 3
- team: 6
  event: Air Trajectory
  place: 1
- team: 6
  event: Anatomy and Physiology
  place: 5
- team: 6
  event: Codebusters
  place: 5
- team: 6
  event: Crime Busters
  place: 5
- team: 6
  event: Disease Detectives
  place: 5
- team: 6
  event: Dynamic Planet
  place: 5
- team: 6
  event: Ecology
  place: 3
- team: 6
  event: Entomology
  place: 3
- team: 6
  event: Experimental Design
  place: 4
- team: 6
  event: Fossils
  place: 5
- team: 6
  event: Helicopter
  place: 1
- team: 6
  event: Meteorology
  place: 5
- team: 6
  event: Metric Mastery
  place: 5
- team: 6
  event: Microbe Mission
  place: 3
- team: 6
  event: Mission Possible
  place: 2
- team: 6
  event: Optics
  place: 4
- team: 6
  event: Potions and Poisons
  place: 4
- team: 6
  event: Reach for the Stars
  place: 5
- team: 6
  event: Road Scholar
  place: 6
- team: 6
  event: Scrambler
  participated: false
- team: 6
  event: Tower
  place: 4
- team: 6
  event: Wind Power
  place: 5
- team: 6
  event: Write It Do It
  place: 2
- team: 14
  event: Air Trajectory
  place: 2
- team: 14
  event: Anatomy and Physiology
  place: 4
- team: 14
  event: Codebusters
  place: 4
- team: 14
  event: Crime Busters
  place: 4
- team: 14
  event: Disease Detectives
  place: 4
- team: 14
  event: Dynamic Planet
  place: 3
- team: 14
  event: Ecology
  place: 4
- team: 14
  event: Entomology
  place: 5
- team: 14
  event: Experimental Design
  place: 3
- team: 14
  event: Fossils
  place: 3
- team: 14
  event: Helicopter
  participated: false
- team: 14
  event: Meteorology
  place: 2
- team: 14
  event: Metric Mastery
  place: 3
- team: 14
  event: Microbe Mission
  place: 4
- team: 14
  event: Mission Possible
  place: 5
- team: 14
  event: Optics
  place: 5
- team: 14
  event: Potions and Poisons
  participated: false
- team: 14
  event: Reach for the Stars
  place: 4
- team: 14
  event: Road Scholar
  place: 4
- team: 14
  event: Scrambler
  participated: false
- team: 14
  event: Tower
  place: 2
- team: 14
  event: Wind Power
  place: 4
- team: 14
  event: Write It Do It
  place: 1
- team: 7
  event: Air Trajectory
  place: 5
- team: 7
  event: Anatomy and Physiology
  place: 1
- team: 7
  event: Codebusters
  place: 3
- team: 7
  event: Crime Busters
  participated: false
- team: 7
  event: Disease Detectives
  place: 2
- team: 7
  event: Dynamic Planet
  place: 4
- team: 7
  event: Ecology
  place: 2
- team: 7
  event: Entomology
  place: 2
- team: 7
  event: Experimental Design
  place: 5
- team: 7
  event: Fossils
  place: 2
- team: 7
  event: Helicopter
  participated: false
- team: 7
  event: Meteorology
  place: 4
- team: 7
  event: Metric Mastery
  place: 1
- team: 7
  event: Microbe Mission
  participated: false
- team: 7
  event: Mission Possible
  participated: false
- team: 7
  event: Optics
  place: 1
- team: 7
  event: Potions and Poisons
  participated: false
- team: 7
  event: Reach for the Stars
  place: 1
- team: 7
  event: Road Scholar
  place: 5
- team: 7
  event: Scrambler
  participated: false
- team: 7
  event: Tower
  participated: false
- team: 7
  event: Wind Power
  place: 2
- team: 7
  event: Write It Do It
  place: 6
- team: 18
  event: Air Trajectory
  participated: false
- team: 18
  event: Anatomy and Physiology
  participated: false
- team: 18
  event: Codebusters
  place: 6
- team: 18
  event: Crime Busters
  place: 3
- team: 18
  event: Disease Detectives
  place: 6
- team: 18
  event: Dynamic Planet
  participated: false
- team: 18
  event: Ecology
  participated: false
- team: 18
  event: Entomology
  participated: false
- team: 18
  event: Experimental Design
  participated: false
- team: 18
  event: Fossils
  place: 6
- team: 18
  event: Helicopter
  participated: false
- team: 18
  event: Meteorology
  place: 1
- team: 18
  event: Metric Mastery
  participated: false
- team: 18
  event: Microbe Mission
  participated: false
- team: 18
  event: Mission Possible
  participated: false
- team: 18
  event: Optics
  participated: false
- team: 18
  event: Potions and Poisons
  place: 3
- team: 18
  event: Reach for the Stars
  participated: false
- team: 18
  event: Road Scholar
  place: 2
- team: 18
  event: Scrambler
  place: 2
- team: 18
  event: Tower
  place: 1
- team: 18
  event: Wind Power
  participated: false
- team: 18
  event: Write It Do It
  place: 4
- team: 1
  event: Air Trajectory
  participated: false
- team: 1
  event: Anatomy and Physiology
  participated: false
- team: 1
  event: Codebusters
  participated: false
- team: 1
  event: Crime Busters
  participated: false
- team: 1
  event: Disease Detectives
  participated: false
- team: 1
  event: Dynamic Planet
  participated: false
- team: 1
  event: Ecology
  participated: false
- team: 1
  event: Entomology
  participated: false
- team: 1
  event: Experimental Design
  participated: false
- team: 1
  event: Fossils
  participated: false
- team: 1
  event: Helicopter
  participated: false
- team: 1
  event: Meteorology
  participated: false
- team: 1
  event: Metric Mastery
  participated: false
- team: 1
  event: Microbe Mission
  participated: false
- team: 1
  event: Mission Possible
  place: 1
- team: 1
  event: Optics
  participated: false
- team: 1
  event: Potions and Poisons
  participated: false
- team: 1
  event: Reach for the Stars
  participated: false
- team: 1
  event: Road Scholar
  participated: false
- team: 1
  event: Scrambler
  place: 1
- team: 1
  event: Tower
  participated: false
- team: 1
  event: Wind Power
  participated: false
- team: 1
  event: Write It Do It
  participated: false
- team: 15
  event: Air Trajectory
  participated: false
- team: 15
  event: Anatomy and Physiology
  participated: false
- team: 15
  event: Codebusters
  participated: false
- team: 15
  event: Crime Busters
  participated: false
- team: 15
  event: Disease Detectives
  participated: false
- team: 15
  event: Dynamic Planet
  participated: false
- team: 15
  event: Ecology
  participated: false
- team: 15
  event: Entomology
  participated: false
- team: 15
  event: Experimental Design
  place: 6
- team: 15
  event: Fossils
  place: 7
- team: 15
  event: Helicopter
  participated: false
- team: 15
  event: Meteorology
  participated: false
- team: 15
  event: Metric Mastery
  participated: false
- team: 15
  event: Microbe Mission
  participated: false
- team: 15
  event: Mission Possible
  participated: false
- team: 15
  event: Optics
  participated: false
- team: 15
  event: Potions and Poisons
  participated: false
- team: 15
  event: Reach for the Stars
  participated: false
- team: 15
  event: Road Scholar
  participated: false
- team: 15
  event: Scrambler
  participated: false
- team: 15
  event: Tower
  place: 3
- team: 15
  event: Wind Power
  participated: false
- team: 15
  event: Write It Do It
  participated: false
